<template>
  <div class="comentarios">
    <div v-for="(comment, index) in comments" :key="index" class="comentario">
      <p class="info">{{ comment.name }} | {{ comment.date }}</p>
      <p>{{ comment.text }}</p>
      <img :src="getFaceEmoji(comment.face)" alt="Cara seleccionada" />
    </div>
  </div>
</template>

<script lang="ts">
export default {
  props: {
    comments: {
      type: Array,
      required: true,
    },
  },
  methods: {
    getFaceEmoji(face: string): string {
      switch (face) {
        case 'triste':
          return './src/assets/emojis/sad.png'; // Reemplaza con la ruta de la imagen triste
        case 'normal':
          return './src/assets/emojis/normal.png'; // Reemplaza con la ruta de la imagen normal
        case 'feliz':
          return './src/assets/emojis/happy.png'; // Reemplaza con la ruta de la imagen feliz
        default:
          return ''; // Manejo por defecto o imagen predeterminada
      }
    },
  },
};
</script>

<style>
.comentarios {
  margin: 20px;
  margin-top: 40px;
}

.comentario {
  width: 40%;
  border-radius: 10px;
  box-shadow: 0 8px 16px rgba(0, 0, 0, 0.1);
}

.info {
  color: rgb(105, 105, 105);
  font-size: small;
}
</style>